import { defineComponent } from 'vue';
import styles from './index.module.less';
import { NAvatar, NButton, NSpace } from 'naive-ui';
import teacherIcon from '@components/layout/images/teacherIcon.png';

export default defineComponent({
  name: 'work-section',
  emits: ['edit', 'delete', 'confirm', 'editTitle'],
  setup(props, { emit }) {
    return () => (
      <div class={styles.workSection}>
        <div class={styles.header}>
          <div
            class={styles.headerName}
            onClick={() => {
              emit('editTitle');
            }}>
            <span>其多列-课后作业课后作业课后作业课后作业</span>
            <i class={styles.iconEdit}></i>
          </div>

          <NButton
            type="primary"
            color="#02B58C"
            class={[styles.btnSize, styles.btnB]}
            onClick={() => {
              // forms.removeVisiable = true;
              emit('confirm');
            }}>
            立即布置
          </NButton>
        </div>

        <div class={styles.content}>
          <NAvatar class={styles.navatar} round src={teacherIcon} />
          <div class={styles.userInfo}>
            <h2>孙忆枫</h2>
            <p class={styles.p1}>
              练习曲目《小星星》、《我和我的祖国》练习曲目《小星星》、《我和我的祖国》
            </p>
            <p class={styles.p2}>评测曲目《我和我的祖国》</p>
          </div>
          <NSpace class={styles.btnGroup} justify="center" vertical>
            <NButton
              type="default"
              class={[styles.btnSize]}
              onClick={() => emit('edit')}>
              编辑
            </NButton>
            <NButton
              type="default"
              class={[styles.btnSize]}
              onClick={() => emit('delete')}>
              删除
            </NButton>
          </NSpace>
        </div>
      </div>
    );
  }
});
